gnu.trove

## Interface TLinkable

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  TLinkableAdapter

    public interface TLinkable
    extends java.io.Serializable

Interface for Objects which can be inserted into a TLinkedList.

Created: Sat Nov 10 15:23:41 2001

Version:
  $Id: TLinkable.java,v 1.2 2001/12/03 00:16:25 ericdf Exp $
Author:
  Eric D. Friedman
See Also:
  `TLinkedList`

### Method Summary

Methods
`TLinkable` `getNext()` Returns the linked list node after this one.
`TLinkable` `getPrevious()` Returns the linked list node before this one.
`void` `setNext(TLinkable linkable)` Sets the linked list node after this one.
`void` `setPrevious(TLinkable linkable)` Sets the linked list node before this one.

### Method Detail

#### getNext

    TLinkable getNext()

Returns the linked list node after this one.

Returns:
  a `TLinkable` value

#### getPrevious

    TLinkable getPrevious()

Returns the linked list node before this one.

Returns:
  a `TLinkable` value

#### setNext

    void setNext(TLinkable linkable)

Sets the linked list node after this one.

Parameters:
  `linkable` - a `TLinkable` value

#### setPrevious

    void setPrevious(TLinkable linkable)

Sets the linked list node before this one.

Parameters:
  `linkable` - a `TLinkable` value